Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class OrderingTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.OrderingTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, OrderingType<T>

    public class OrderingTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, OrderingType<T>

This class implements the `orderingType` xsd type

Original Documentation:

Please see section 8.2.2 of the specification for details.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`OrderingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`OrderingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`OrderingOrderingType<OrderingType<T>>` | `after()` If not already created, a new `after` element will be created and returned.
`OrderingOrderingType<OrderingType<T>>` | `before()` If not already created, a new `before` element will be created and returned.
`OrderingType<T>` | `removeAfter()` Removes the `after` element
`OrderingType<T>` | `removeBefore()` Removes the `before` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderingTypeImpl

    public OrderingTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node)

### OrderingTypeImpl

    public OrderingTypeImpl(T t,
                            java.lang.String nodeName,
                            org.jboss.shrinkwrap.descriptor.spi.Node node,
                            org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAfter

    public OrderingType<T> removeAfter()

  Removes the `after` element

  Specified by:
    `removeAfter` in interface `OrderingType<T>`
  Returns:
    the current instance of `OrderingType`

### after

    public OrderingOrderingType<OrderingType<T>> after()

  If not already created, a new `after` element will be created and returned. Otherwise, the existing `after` element will be returned.

  Specified by:
    `after` in interface `OrderingType<T>`
  Returns:
    the node defined for the element `after`

### removeBefore

    public OrderingType<T> removeBefore()

  Removes the `before` element

  Specified by:
    `removeBefore` in interface `OrderingType<T>`
  Returns:
    the current instance of `OrderingType`

### before

    public OrderingOrderingType<OrderingType<T>> before()

  If not already created, a new `before` element will be created and returned. Otherwise, the existing `before` element will be returned.

  Specified by:
    `before` in interface `OrderingType<T>`
  Returns:
    the node defined for the element `before`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD